#include <iostream>

using namespace std;

int main()
{
	int N,L;
	cin >> N;
	cin >> L;
	int max = -1;
	for (int i = 0; i < N; ++i)
	{
		int t;
		cin >> t;
		if (L >= t && max == -1)
		{
			max = i + 1;
		}
	}
	cout << max << "\n";
}